rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
rpmfts_s Struct Reference
Collaboration diagram for rpmfts_s:
[legend]

## Data Fields

FTS * | t
FTSENT * | p
struct stat | sb
int | sb_is_valid
uint32_t | crc_total
unsigned | lineno
NODE * | root
ARGV_t | paths
enum mtreeKeys_e | keys
ARGI_t | algos
FILE * | spec1
FILE * | spec2
const char * | fullpath
char * | path
int | ftsoptions
size_t | maxg
gid_t * | g
size_t | maxm
mode_t * | m
size_t | maxu
uid_t * | u

## Detailed Description

Definition at line 183 of file rpmmtree.c.

## Field Documentation

ARGI_t rpmfts_s::algos

Definition at line 196 of file rpmmtree.c.

Referenced by mtreeArgCallback(), and mtreeVisitF().

uint32_t rpmfts_s::crc_total

Definition at line 188 of file rpmmtree.c.

Referenced by crc(), and main().

int rpmfts_s::ftsoptions

Definition at line 207 of file rpmmtree.c.

Referenced by main(), mtreeCWalk(), and mtreeVWalk().

const char* rpmfts_s::fullpath

Definition at line 204 of file rpmmtree.c.

Referenced by main().

gid_t* rpmfts_s::g

Definition at line 216 of file rpmmtree.c.

Referenced by main(), and mtreeVisitD().

enum mtreeKeys_e rpmfts_s::keys

Definition at line 194 of file rpmmtree.c.

Referenced by main(), mismatch(), mtreeArgCallback(), mtreeCWalk(), mtreeVisitD(), mtreeVisitF(), and mtreeVWalk().

unsigned rpmfts_s::lineno

Definition at line 189 of file rpmmtree.c.

Referenced by mtree_error(), and mtreeSpec().

mode_t* rpmfts_s::m

Definition at line 219 of file rpmmtree.c.

Referenced by main(), and mtreeVisitD().

size_t rpmfts_s::maxg

Definition at line 214 of file rpmmtree.c.

Referenced by main(), and mtreeVisitD().

size_t rpmfts_s::maxm

Definition at line 217 of file rpmmtree.c.

Referenced by main(), and mtreeVisitD().

size_t rpmfts_s::maxu

Definition at line 220 of file rpmmtree.c.

Referenced by main(), and mtreeVisitD().

FTSENT* rpmfts_s::p

Definition at line 185 of file rpmmtree.c.

Referenced by compare(), mtreeCWalk(), mtreeVisitD(), mtreeVisitF(), and mtreeVWalk().

char* rpmfts_s::path

Definition at line 206 of file rpmmtree.c.

Referenced by main(), and mtreeMiss().

ARGV_t rpmfts_s::paths

Definition at line 193 of file rpmmtree.c.

Referenced by main(), mtreeCWalk(), and mtreeVWalk().

NODE* rpmfts_s::root

Definition at line 191 of file rpmmtree.c.

Referenced by main(), and mtreeVWalk().

struct stat rpmfts_s::sb

current stat(2) defaults.

Definition at line 186 of file rpmmtree.c.

Referenced by main(), mtreeVisitD(), and mtreeVisitF().

int rpmfts_s::sb_is_valid

are stat(2) defaults valid?

Definition at line 187 of file rpmmtree.c.

Referenced by mtreeVisitD().

FILE* rpmfts_s::spec1

Definition at line 199 of file rpmmtree.c.

Referenced by main(), mtreeArgCallback(), and mtreeVSpec().

FILE* rpmfts_s::spec2

Definition at line 201 of file rpmmtree.c.

Referenced by main(), mtreeArgCallback(), and mtreeVSpec().

FTS* rpmfts_s::t

Definition at line 184 of file rpmmtree.c.

Referenced by mtreeCWalk(), mtreeVisitD(), and mtreeVWalk().

uid_t* rpmfts_s::u

Definition at line 222 of file rpmmtree.c.

Referenced by main(), and mtreeVisitD().

The documentation for this struct was generated from the following file:

- tools/rpmmtree.c